// pages/member/rankingListSecond/rankingListSecond.js
var app = getApp();
Page({

  /**
	 * 页面的初始数据
	 */
  data: {
    action: "",
    nextAction: "",
    datas: [],
    title: "排行榜",
  },

  /**
	 * 生命周期函数--监听页面加载
	 */
  onLoad: function(options) {
    if (options.action) {
      this.setData({
        action: options.action
      });
    }
    if (!app._isTextEmpty(options.title)) {
      this.setData({
        title: options.title
      });
    }
    this._getData(); //获取数据
  },

  /**
	 * 生命周期函数--监听页面初次渲染完成
	 */
  onReady: function() {

  },

  /**
	 * 生命周期函数--监听页面显示
	 */
  onShow: function() {

  },

  /**
	 * 生命周期函数--监听页面隐藏
	 */
  onHide: function() {

  },

  /**
	 * 生命周期函数--监听页面卸载
	 */
  onUnload: function() {

  },

  /**
	 * 页面相关事件处理函数--监听用户下拉动作
	 */
  onPullDownRefresh: function() {

  },

  /**
	 * 页面上拉触底事件的处理函数
	 */
  onReachBottom: function() {

  },

  /**
	 * 用户点击右上角分享
	 */
  onShareAppMessage: function() {

  },
  //获取数据
  _getData() {
    let that = this;
    let urlStr = app.getNetAddresss("plugin.ranking.api.ranking.get-ranking-list");
    urlStr += '&ranking_list_class=' + this.data.action;
    app._getNetWork({
      url: urlStr,
      success: function(resdata) {
        var res = resdata.data;
        if (res.result == 1) {
          that.setData({
            datas: res.data.data,
            nextAction: res.data.ranking_info_class
          });
        }
      },
      fail: function(res) {
        console.log(res);
      }
    });
  },
  gorankingListFirst(e) {
    let index = e.currentTarget.dataset.index;
    wx.navigateTo({
      url: '/packageB/member/ranking/rankingListFirst/rankingListFirst?action=' + this.data.nextAction +
				'&title=' + this.data.title + '&key=' + this.data.datas[index].key
    });
  }
});
